Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.distribution
Interface Medium

    @UML(identifier="MD_Medium",
         specification=ISO_19115)
    public interface Medium

Information about the media on which the resource can be distributed.

Since:
  GeoAPI 2.0

Method Summary
`Collection<Double>` | `getDensities()` Density at which the data is recorded.
`Unit` | `getDensityUnits()` Units of measure for the recording density.
`Collection<MediumFormat>` | `getMediumFormats()` Method used to write to the medium.
`InternationalString` | `getMediumNote()` Description of other limitations or requirements for using the medium.
`MediumName` | `getName()` Name of the medium on which the resource can be received.
`Integer` | `getVolumes()` Number of items in the media identified.

Method Detail

### getName

    @UML(identifier="name",
         obligation=OPTIONAL,
         specification=ISO_19115)
    MediumName getName()

  Name of the medium on which the resource can be received.

### getDensities

    @UML(identifier="density",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<Double> getDensities()

  Density at which the data is recorded. The numbers should be greater than zero.

### getDensityUnits

    @UML(identifier="densityUnits",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Unit getDensityUnits()

  Units of measure for the recording density.

### getVolumes

    @UML(identifier="volumes",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Integer getVolumes()

  Number of items in the media identified. Returns `null` if unknown.

### getMediumFormats

    @UML(identifier="mediumFormat",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<MediumFormat> getMediumFormats()

  Method used to write to the medium.

### getMediumNote

    @UML(identifier="mediumNote",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getMediumNote()

  Description of other limitations or requirements for using the medium.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.